umbrello 25.08.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
CsCodeExample.MoreComplexNumber Class Reference
Inheritance diagram for CsCodeExample.MoreComplexNumber:

## Public Member Functions
| MoreComplexNumber ()
| MoreComplexNumber (double real, double imag=0)
override string | ToDiffString ()
Public Member Functions inherited from CsCodeExample.ComplexNumber
| ComplexNumber ()
| ComplexNumber (double real, double imag=0)
ComplexNumber | Add (ComplexNumber input)
ComplexNumber | Subtract (ComplexNumber input)
ComplexNumber | Multiply (ComplexNumber input)
ComplexNumber | Divide (ComplexNumber input)
double | Modul ()
ComplexNumber | Pow (int n)
List< ComplexNumber > | Nroot (int n)
override string | ToString ()
string | ToCSV ()

## Additional Inherited Members
Static Public Member Functions inherited from CsCodeExample.ComplexNumber
static ComplexNumber | Add (ComplexNumber a, ComplexNumber b)
static string | GetDescription ()
Static Protected Attributes inherited from CsCodeExample.ComplexNumber
const double | PI = 3.14
Properties inherited from CsCodeExample.ComplexNumber
double | Real`[get, set]`
double | Imag`[get, set]`
static string | Format`[get]`

## Constructor & Destructor Documentation

## ◆ MoreComplexNumber() [1/2]

CsCodeExample.MoreComplexNumber.MoreComplexNumber | ( |  | ) |
| inline

## ◆ MoreComplexNumber() [2/2]

CsCodeExample.MoreComplexNumber.MoreComplexNumber | ( | double | real,
|  | double | imag = 0 )
| inline

## Member Function Documentation

## ◆ ToDiffString()

override string CsCodeExample.MoreComplexNumber.ToDiffString | ( |  | ) |
| inline virtual

Reimplemented from CsCodeExample.ComplexNumber.

The documentation for this class was generated from the following file:

- test/import/csharp/CsCodeExample-ClassExample/ComplexNumber.cs